.print {
    background-color: white;
    padding: 50px;
    position: relative;
}

.print-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}

.logo-print {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.print-top img {
    width: 85px;
}

.print-top span {
    border: 1px solid rgba(0, 0, 0, .4);
    padding: 10px 30px;
}

.print-des {
    line-height: 35px;
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}

.print-box {
    margin-bottom: 20px;
    position: relative;
}

.print-box > div {
    overflow-x: auto;
}

.print-title {
    font-size: 1.3rem;
    text-align: center;
    font-weight: bolder;
}

.print-box-section {
    min-width: 768px;
    page-break-after: auto;
    page-break-inside: avoid;

}

.print-box-section > span {
    writing-mode: tb-rl;
    font-weight: bold;
    border-left: 2px solid rgba(0, 0, 0, .5);
    padding: 10px 10px;
    margin-left: 15px;
    font-size: 1rem;
    text-align: center;

}

.print-box-detail {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.print-box-detail-item {
    margin: 10px 5px;
    width: 30%;
    font-size: .7rem;
}

.print-box-section {
    border: 1px solid rgba(0, 0, 0, .3);
    padding: 10px;
    margin-top: 20px;
    border-radius: 20px;
    display: flex;
    min-width: 850px;
}

.img-print {
    flex-direction: column;
    align-items: center;
    height: 100%;
    justify-content: center;
    display: block;

}

.img-print img {
    page-break-after: always;
    display: block;
    max-width: 100%;
    margin: 50px auto;

}

.print-box-detail-item-border {
    justify-content: flex-end;
    display: flex;
    width: 100%;
}

.print-box-detail-item-border div {
    padding: 15px 45px;
    border: 1px solid rgba(0, 0, 0, .4);
    display: flex;
    text-align: right;
    margin-top: 20px;
    font-size: 1rem;
    font-weight: bolder;
    border-radius: 20px;

}

.print-btn-box {
    z-index: 1000;
    position: fixed;
    top: 50%;
    left: -280px;
    display: flex;
    height: 100px;
    align-items: center;
    justify-content: space-between;
    transition: .3s ease-in-out;
    transform: translate(0, -50%);
    cursor: pointer;
}

.print-btn-box:hover {
    left: 0;
}

.print-btn-box > span {
    margin-left: 60px;
}

.print-btn-box > span > img {
    width: 40px;
}

.print .table-body-item {
    position: relative;
    margin: 0px 5px;
    width: 30%;
    display: flex;
    align-items: center;
}

.print .table-body-item img {
    width: 190px;
    border-radius: unset;
    position: absolute;
    right: 80px;
}

.print .table-body-item-right-number {
    position: absolute;
    right: 86px;
    width: 25px;
    top: 15px;
    text-align: center;
    border: 1px solid rgba(0, 0, 0, .3);
    outline: none
}

.print .table-body-item-left-number {
    position: absolute;
    right: 125px;
    display: flex;
    top: 9px;

}

.print .table-body-item-left-number input, .print .table-body-item-left-number select {
    width: 40px;
    text-align: center;
    border: 1px solid rgba(0, 0, 0, .3);
    padding: 5px 0;
    outline: none;
    font-family: Vazir !important;
    font-size: 10px;
}

.back-logo {
    opacity: .1;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    margin-top: 50px;
    margin-right: 20px;

}

.back-logo img {
  max-width: 100%;
}

.print .table-body-item-input {
    min-width: 50%;
    border: 1px solid rgba(0, 0, 0, .3);
    margin-right: 5px;
    padding: 5px;
    border-radius: 5px;
    margin-left: 10px;
}

.print .table-body-item-select {
    min-width: 50%;
    border: 1px solid rgba(0, 0, 0, .3);
    margin-right: 5px;
    padding: 2px;
    border-radius: 5px;
    margin-left: 10px;
    outline: none !important;
    font-family: Vazir !important;

}

.print .table-body-item-img-motor {
    width: 100px !important
}

.print .table-body-item-motor-number {
    flex-direction: column;
    display: flex;
    position: relative
}

.print .table-body-item-motor-number input {
    width: 55px;
    margin: 1px 20px 1px 0;
    padding: 5px 0;
    text-align: center;
    border: 1px solid rgba(0, 0, 0, .3);
    font-size: 12px;

}

.image-title {
    width: 100%;
    font-weight: bolder;
    font-size: 1.3rem;
    text-align: center;
    margin-top: 50px;
}

@media print {
    iframe {
        height: 1000px;
        width: 100%;
    }

    .back-logo {
        width: calc(100% - 60px);
        height: 100%;
    }

    .rc-anchor rc-anchor-invisible {
        display: none !important;
    }

    .grecaptcha-badge {
        display: none !important;
    }

    .print {
        font-size: .6rem;
    }

    .print-box-section {
        min-width: unset;
    }

    .print-top img {
        width: 50px;
    }

    .print-box-detail-item {
        margin: 5px 5px;
    }

    .print-top {
        margin-bottom: 10px;
    }

    .print-des {
        line-height: 20px;
        margin-top: 10px;
    }

    .page-break {
        page-break-after: always;
        page-break-before: always;
    }

    /* page-break-after works, as well */
    .hide {
        display: none !important
    }

    .MuiToolbar-root {
        display: none !important;
    }

    .print-btn {
        display: none !important
    }

    .print-btn-box {
        display: none !important
    }

    .print-box-detail-item-border div {
        padding: 10px 80px;
        margin-top: 10px;
    }

    .print {
        padding: 0px;
    }

    .print-box-section {
        margin-top: 5px;
    }

    @page {
        size: auto;   /* auto is the initial value */
        margin: 5mm 5mm 5mm 5mm;
        /* this affects the margin in the printer settings */
    }
}







